## org.red5.server.net.mrtmp
Class MRTMPPacket.Header

    java.lang.Object
      org.red5.server.net.mrtmp.MRTMPPacket.Header

Direct Known Subclasses:
  MRTMPPacket.RTMPHeader

Enclosing class:
  MRTMPPacket

    public static class MRTMPPacket.Header

extends Object

Constructor Summary
`MRTMPPacket.Header()`

Method Summary
`short` `getBodyEncoding()`
`int` `getBodyLength()`
`int` `getClientId()`
`int` `getHeaderLength()`
`short` `getType()`
`boolean` `isDynamic()`
`void` `setBodyEncoding(short bodyEncoding)`
`void` `setBodyLength(int bodyLength)`
`void` `setClientId(int clientId)`
`void` `setDynamic(boolean dynamic)`
`void` `setHeaderLength(int headerLength)`
`void` `setType(short type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MRTMPPacket.Header

    public MRTMPPacket.Header()

Method Detail

### getBodyLength

    public int getBodyLength()

### setBodyLength

    public void setBodyLength(int bodyLength)

### getClientId

    public int getClientId()

### setClientId

    public void setClientId(int clientId)

### getHeaderLength

    public int getHeaderLength()

### setHeaderLength

    public void setHeaderLength(int headerLength)

### getType

    public short getType()

### setType

    public void setType(short type)

### getBodyEncoding

    public short getBodyEncoding()

### setBodyEncoding

    public void setBodyEncoding(short bodyEncoding)

### isDynamic

    public boolean isDynamic()

### setDynamic

    public void setDynamic(boolean dynamic)

Copyright © 2006-2010 The Red5 Project